Update AI conversation

Updates the title of the specified AI conversation.

HTTP Request

PUT /api/sonar/ai/conversations/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -d title="Security event analysis" \
     -X PUT \
     https://HOSTNAME/api/sonar/ai/conversations/a1b2c3d4-e5f6-7890-abcd-ef1234567890
Request Parameters
Path Parameters
KeyTypeDescriptionNotes
guidStringConversation identifier36-character GUID
Request Body Parameters
KeyRequiredTypeDescriptionNote
titleOStringConversation title

Success Response

{}

Error Responses

Identifier is not in valid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
Conversation is not found

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "conversation not found"
}
Required parameter is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "title should be not null"
}